For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot Management

Retrieves a specific chatbot

get

Required Permission: chatbots.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot to be retrieved.

workspaceIdstringRequired

The ID of the workspace.

Responses
200

Details of the chatbot.

application/json
errorstringOptional

Optional error message.

get/v1/workspaces/{workspaceId}/chatbots/{chatbotId}
GET /v1/workspaces/{workspaceId}/chatbots/{chatbotId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "chatbot": {
    "id": "botKq8BxZaJd2wZR9cxd1P",
    "name": "My first Chatbot",
    "workspaceId": "ws59aBv7wzR9cxd1Pxyz",
    "type": "default",
    "created": "2025-10-01T09:00:00Z",
    "updated": "2025-10-01T09:05:00Z",
    "enabled": true,
    "timeZone": "Europe/Berlin",
    "edition": 0
  },
  "buckets": [
    {
      "id": "bckt59aBv7wzR9cxd1Pxyz",
      "name": "content-wzR9cxd1Pxyzd1Px",
      "created": "2025-10-01T09:00:00Z",
      "updated": "2025-10-01T09:00:00Z"
    }
  ],
  "error": "text"
}

Updates an existing chatbot

patch

Required Permission: chatbots.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot to be updated.

workspaceIdstringRequired

The ID of the workspace.

Body
Responses
200

Chatbot updated successfully.

application/json
errorstringOptional

Optional error message.

patch/v1/workspaces/{workspaceId}/chatbots/{chatbotId}
PATCH /v1/workspaces/{workspaceId}/chatbots/{chatbotId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "updateChatbot": {
    "name": "Support & Sales Bot",
    "timeZone": "America/New_York"
  }
}
{
  "chatbot": {
    "id": "botKq8BxZaJd2wZR9cxd1P",
    "name": "My first Chatbot",
    "workspaceId": "ws59aBv7wzR9cxd1Pxyz",
    "type": "default",
    "created": "2025-10-01T09:00:00Z",
    "updated": "2025-10-01T09:05:00Z",
    "enabled": true,
    "timeZone": "Europe/Berlin",
    "edition": 0
  },
  "error": "text"
}

Last updated